using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Windows.Media.Animation;

namespace StoryBoardBeginStoryboard
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        private Storyboard myStoryboard = new Storyboard();
        public MainWindow()
        {
            InitializeComponent();
            myStoryboard=(Storyboard)myPanel.FindResource("myAnimation");
        }

        private void Start_Animation(object sender, RoutedEventArgs e)
        {
            myStoryboard.Begin();
        }

        private void Stop_Animation(object sender, RoutedEventArgs e)
        {
            myStoryboard.Stop();
        }

        private void Pause_Animation(object sender, RoutedEventArgs e)
        {
            myStoryboard.Pause();
        }

        private void Resume_Animation(object sender, RoutedEventArgs e)
        {
            myStoryboard.Resume();
        }
    }
}
